#include "WagnisGameboard.h"
#include "WagnisProvince.h"

/** Die Wagnis Klasse hat die folgenden Aufgaben:
 *  1. Das Spiel erstellen.
 *  - Gameboard initialisieren
 *  - Provinzen initialisieren
 *  - Provinzen verbinden (Nachbarschaften eintragen)
 *  - Spieler initialisieren
 *  -
 * 
 *  2. Den Spielablauf steuern
 *  - Für einen Spieler berechnen wie viele Truppen er setzen darf.
 *  - Den Funktion "setTroops(int troops)" beim Spieler aufrufen.
 *  - Die Funktion "playerTurn()" bei jedem Spieler aufrufen.
 *  - 
 * 
 **/

namespace orxonox
{
    class _WagnisExport Wagnis : public Deathmatch
    {
        public: 

        // to start the game
        void createGame();        // creates and links provinces

        
        // additional checking funtions
        int troopCounter(int);       // counts how many reinforcements player gets
        bool attackChecker;     // checks whether an attack move is valid
                                    // (provinces linked, enough troops, no own province) 
        bool moveChecker;       // checks whether a troop movement is valid
                                    // (start and target belong to player, link existing)
        void attackSimulator;   // calculates outcome of battle 
        
    
    }

}